Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.object
Class PrototypeObjectFactory

    java.lang.Object
      org.mule.object.AbstractObjectFactory
          org.mule.object.PrototypeObjectFactory

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, ObjectFactory

    public class PrototypeObjectFactory

extends AbstractObjectFactory

Creates a new instance of the object on each call.

Field Summary

Fields inherited from class org.mule.object.AbstractObjectFactory
`ATTRIBUTE_OBJECT_CLASS, ATTRIBUTE_OBJECT_CLASS_NAME, initialisationCallbacks, logger, muleContext, objectClass, objectClassName, properties`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`PrototypeObjectFactory()` For Spring only
`PrototypeObjectFactory(Class objectClass)`
`PrototypeObjectFactory(Class objectClass, Map properties)`
`PrototypeObjectFactory(String objectClassName)`
`PrototypeObjectFactory(String objectClassName, Map properties)`

Method Summary
`boolean` | `isAutoWireObject()` Return true if the created object should get its dependencies wired from the registry automatically.

Methods inherited from class org.mule.object.AbstractObjectFactory
`addObjectInitialisationCallback, dispose, fireInitialisationCallbacks, getInstance, getObjectClass, getObjectClassName, getProperties, initialise, isExternallyManagedLifecycle, isSingleton, setMuleContext, setObjectClass, setObjectClassName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrototypeObjectFactory

    public PrototypeObjectFactory()

  For Spring only

### PrototypeObjectFactory

    public PrototypeObjectFactory(String objectClassName)

### PrototypeObjectFactory

    public PrototypeObjectFactory(String objectClassName,
                                  Map properties)

### PrototypeObjectFactory

    public PrototypeObjectFactory(Class objectClass)

### PrototypeObjectFactory

    public PrototypeObjectFactory(Class objectClass,
                                  Map properties)

Method Detail

### isAutoWireObject

    public boolean isAutoWireObject()

  Description copied from interface: `ObjectFactory`
  Return true if the created object should get its dependencies wired from the registry automatically. Typically Mule object factories would return true for this value, objects managed by DI container such as Spring should set this to false.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.